/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/
@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@500;600;700&display=swap');

:root {
    --max-game-width: 500px;
    --header-height: 50px;
    --light-green: #6aaa64;
    --light-gray: #d3d6da;
    --opacity-50: hsla(0, 0%, 100%, .5);
    font-family: 'Oswald', sans-serif;
}

:root,
body {
    height: 100%
}

body {
    margin: 0;
    padding: 0;
    background-color: #fbfcff;
}

#app-container,
#game-container {
    height: 100%
}

.game {
    height: calc(100% - 50px);
    height: calc(100% - var(--header-height));
    margin: 0 auto;
    max-width: 500px;
    max-width: var(--max-game-width);
    width: 100%
}

.game,
.keyboard {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column
}

.keyboard {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    padding: 10px 5px
}

.keyboardRow {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 100%
}

.keyboard .keyboardRow:not(:last-child) {
    margin-bottom: 5px
}

.button {
    background-color: #d3d3d3;
    background-color: var(--light-gray);
    border: 0;
    border-radius: 4px;
    color: #393e4c;
    cursor: pointer;
    font-family: inherit;
    font-weight: 700;
    height: 60px;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    text-transform: uppercase;
    font-size: 16px;
}

.keyboardRow .button:not(:last-child) {
    margin-right: 5px
}

.characterButton,
.keyboardSpacer {
    width: 40px
}

.enterButton {
    background-color: rgba(0, 128, 0, .5);
    background-color: var(--light-green);
    width: 60px
}

.deleteButton {
    width: 60px
}

.deleteButton svg {
    height: 24px;
    width: 24px
}

.toast {
    border-radius: 5px;
    display: none;
    left: 50%;
    padding: 5px;
    pointer-events: none;
    position: absolute;
    text-align: center;
    -webkit-transform: translate(-50%);
    -ms-transform: translate(-50%);
    transform: translate(-50%);
    z-index: 2000
}

.aboveKeyboardToast {
    bottom: 205px
}

#error-toast {
    background-color: #b22222;
    color: #fff
}

#success-toast {
    background-color: #6aaa64;
    color: #fff
}

#generic-toast {
    background-color: #393e4c;
    color: #fff
}

.belowHeaderToast {
    top: 80px
}

#special-message-toast {
    background-color: #393e4c;
    color: #fff
}

.gameBoard {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center
}

.gameBoard,
.inputRowsContainer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    overflow: auto
}

.inputRowsContainer {
    padding-bottom: 10px;
    padding-top: 10px;
    width: 100%
}

.row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center
}

.inputRowsContainer .row:not(:nth-last-child(2)) {
    padding-bottom: 10px
}

.inputRowsEndElement {
    clear: "both";
    float: "left"
}

.startWordRowContainer {
    padding-bottom: 20px;
    width: 100%
}

.endWordRowContainer {
    padding-top: 20px;
    width: 100%
}

.block {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    font-size: 2rem;
    font-weight: 700;
    height: 60px;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    /* outline: 2px solid var(--light-gray); */
    border: 2px solid var(--light-gray);
    text-transform: uppercase;
    width: 60px;
    /* border-radius: 4px; */
}

.row .block:not(:last-child) {
    margin-right: 10px
}

.filledBlock {
    color: #393e4c
}

.sharebar-icon {
    background-color: var(--tile-background);
    border-radius: 5px;
}

.currentBlock,
.transitionBlock {
    outline-color: #393e4c
}

.correctBlock {
    background-color: var(--light-green)
}

.endWordBlock,
.startWordBlock {
    background-color: var(--light-gray);
    color: #393e4c
}

.endWordBlockComplete {
    background-color: #6aaa64;
    color: #fff;
    outline-color: #6aaa64
}

.exampleWordBlock {
    background-color: var(--light-gray);
    color: #393e4c
}

.bouncingBlock {
    -webkit-animation: bounce 2s infinite;
    animation: bounce 2s infinite
}

.endWordRow .bouncingBlock:first-child {
    -webkit-animation-delay: 50ms;
    animation-delay: 50ms
}

.endWordRow .bouncingBlock:nth-child(2) {
    -webkit-animation-delay: .1s;
    animation-delay: .1s
}

.endWordRow .bouncingBlock:nth-child(3) {
    -webkit-animation-delay: .15s;
    animation-delay: .15s
}

.endWordRow .bouncingBlock:nth-child(4) {
    -webkit-animation-delay: .2s;
    animation-delay: .2s
}

.gameBoard, .inputRowsContainer {
    -ms-overflow-style: none;
    /* Internet Explorer 10+ */
    scrollbar-width: none;
    /* Firefox */
}

.gameBoard::-webkit-scrollbar, .inputRowsContainer::-webkit-scrollbar {
    display: none;
}

@-webkit-keyframes bounce {
    0% {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }

    10% {
        -webkit-transform: translateY(-15px);
        transform: translateY(-15px)
    }

    20% {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }

    to {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}

@keyframes bounce {
    0% {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }

    10% {
        -webkit-transform: translateY(-15px);
        transform: translateY(-15px)
    }

    20% {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }

    to {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}

.clearBoardButton {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 1rem;
    margin-top: 10px
}

.gameHeader {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    border-bottom: 1px solid var(--light-gray);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    height: var(--header-height);
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    padding: 0 10px
}

.gameHeaderLeftGroup {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    width: 70px
}

.gameHeaderRightGroup {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    /* width: 70px */
}

.gameTitle {
    font-size: 2.2rem;
    font-weight: 700;
    overflow: hidden;
    white-space: nowrap
}

.yesterdayButton {
    background: none;
    border: none;
    cursor: pointer;
    padding: 0 4px
}

.yesterdayButton svg {
    height: 28px;
    width: 28px
}

.userStatsButton {
    background: none;
    border: none;
    cursor: pointer;
    padding: 0 4px
}

.userStatsButton svg {
    height: 28px;
    width: 28px
}

.howToPlayButton {
    background: none;
    border: none;
    cursor: pointer;
    padding: 0 4px
}

.howToPlayButton svg {
    height: 28px;
    width: 28px
}

.overlay {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background-color: var(--opacity-50);
    display: none;
    height: 100%;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1000
}

.overlayOpen {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex
}

.overlayContent {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: 100%;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 100%
}

.modal {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-item-align: center;
    -ms-grid-row-align: center;
    align-self: center;
    background-color: #fff;
    border-radius: 4px;
    -webkit-box-shadow: 0 0 10px 10px rgba(0, 0, 0, .2);
    box-shadow: 0 0 10px 10px rgba(0, 0, 0, .2);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    max-height: 90%;
    max-width: var(--max-game-width);
    overflow: auto;
    padding: 10px 0 20px;
    width: 90%
}

.modalContent {
    overflow: auto;
    width: 100%
}

.modalHeaderRow {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding-bottom: 10px;
    width: 100%
}

.modalTitle {
    font-size: 2rem;
    font-weight: 700;
    -ms-grid-column-align: center;
    justify-self: center
}

.dummyLeftItem {
    width: 50px
}

.closeModalButton {
    -ms-flex-item-align: start;
    -ms-grid-row-align: start;
    align-self: start;
    background: none;
    border: none;
    cursor: pointer;
    width: 50px
}

.closeModalButton svg {
    height: 24px;
    width: 24px
}

#nextGameCountdownText {
    font-size: 2rem
}

#gameStatsModalContent {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column
}

.historicalUserStatsRow,
.todayUserStatsRow {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    margin-bottom: 10px
}

.nextGameCountdownRow {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row
}

.nextGameCountdownContainer,
.userStat {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column
}

.userStat {
    width: 100px
}

.userStatsBlock {
    background-color: var(--light-gray);
    color: #393e4c
}

.successUserStatsBlock {
    background-color: #6aaa64;
    color: #fff;
    outline-color: #6aaa64
}

.userStatLabel {
    font-size: 1rem;
    padding-top: 4px;
    text-align: center
}

.shareTodaysScoreButtonContainer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    /* height: 60px; */
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center
}

.shareTodaysScoreButton {
    fill: #fff;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background: rgba(0, 128, 0, .8);
    border: none;
    border-radius: 4px;
    color: #fff;
    cursor: pointer;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    font-size: 1rem;
    font-weight: 700;
    height: 40px;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 100px
}

.shareButtonText {
    margin-right: 4px
}

.shareTodaysScoreButton svg {
    height: 24px;
    width: 24px
}

.shareTodaysScoreButtonCounterDummyDiv {
    height: 50px;
    width: 100px
}

#howToPlayModalContent {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding: 0 10px
}

.howToPlayHistorySection {
    padding-bottom: 5px
}

.howToPlaySentenceBlock {
    padding: 0 10px 5px
}

.howToPlayExampleTitle {
    font-size: 1.2rem;
    font-weight: 700;
    padding-bottom: 5px
}

.howToPlayExampleSection .howToPlaySentenceBlock {
    padding: 5px 0;
    text-align: center
}

.howToPlayExampleGameRow .block {
    font-size: 1.5rem;
    height: 40px;
    width: 40px
}

.yesterdayModalContentContainer {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%
}

.yesterdayOptimalText {
    color: gray;
    font-size: 1rem;
    margin-bottom: 10px;
    text-align: center
}

.yesterdayGameBoardContainer {
    width: 100%
}

.yesterdayGameBoardContainer .yesterdayGameBoardRow:not(:last-child) {
    padding-bottom: 10px
}

.yesterdayExplanation {
    color: gray;
    font-size: 1rem;
    margin-top: 10px;
    text-align: center
}

.howToPlayButton, .yesterdayButton, .userStatsButton {
    margin: 0 15px;
}

#gameStatsModalContent>div {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0 10px;
}

#gameStatsModalContent>div .userStat {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 10px;
    box-sizing: border-box;
    padding-left: 10px;
    border-radius: 4px;
    border: 1px solid #ccc;
}

#gameStatsModalContent>div .userStatLabel {
    font-weight: 600;
    -webkit-box-ordinal-group: 0;
    -ms-flex-order: -1;
    order: -1;
}

#gameStatsModalContent>div .userStat .block {
    height: auto;
    border: 0;
}

.modalContent::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
    background-color: #F5F5F5;
}

.modalContent::-webkit-scrollbar {
    width: 10px;
    background-color: #F5F5F5;
}

.modalContent::-webkit-scrollbar-thumb {
    background-color: #FFF;
    background-image: -webkit-linear-gradient(top,
            #fff 10%,
            #1db30f 51%,
            #6aaa64 100%);
}